<?php
/*
Plugin Name: WP-Advogato
Version: 1.1
Plugin URI: http://ambient.2y.net/wingo/software/wp-advogato/
Description: Cross-post your entries on <a href="http://advogato.org/">advogato</a>. You have to edit this file to set your advogato cookie.
Author: Andy Wingo
Author URI: http://ambient.2y.net/wingo/
*/

/*
Based on wp-includes/functions.php:pingback, and thus GPL.
*/
$advogato_cookie = "your-cookie-goes-here";

function advogato_crosspost ($post_ID) {
    global $advogato_cookie;
    $postdata = get_postdata ($post_ID);
    $content = apply_filters ('the_content', $postdata['Content']);
    $client = new xmlrpc_client ("/XMLRPC", "advogato.org", 80);
    $message = new xmlrpcmsg ("diary.set",
                              array (new xmlrpcval ($advogato_cookie, 'string'),
                                     new xmlrpcval (-1, 'int'),
                                     new xmlrpcval ($content, 'string')));
    return $post_ID;
}

add_action ('publish_post', 'advogato_crosspost', 8);
?>